CREATE TABLE cn_common_data_all (
    COMMON_DATA_ID            NUMBER(18, 0) ,
    RECORD_TYPE               VARCHAR2(240)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    CHAR_COL1                 VARCHAR2(1200),
    CHAR_COL2                 VARCHAR2(1200),
    CHAR_COL3                 VARCHAR2(1200),
    CHAR_COL4                 VARCHAR2(1200),
    CHAR_COL5                 VARCHAR2(1200),
    CHAR_COL6                 VARCHAR2(4000),
    CHAR_COL7                 VARCHAR2(4000),
    CHAR_COL8                 VARCHAR2(4000),
    CHAR_COL9                 VARCHAR2(4000),
    CHAR_COL10                VARCHAR2(4000),
    NUMBER_COL1               NUMBER        ,
    NUMBER_COL2               NUMBER        ,
    NUMBER_COL3               NUMBER        ,
    NUMBER_COL4               NUMBER        ,
    NUMBER_COL5               NUMBER        ,
    NUMBER_COL6               NUMBER        ,
    NUMBER_COL7               NUMBER        ,
    NUMBER_COL8               NUMBER        ,
    NUMBER_COL9               NUMBER        ,
    NUMBER_COL10              NUMBER        ,
    DATE_COL1                 DATE          ,
    DATE_COL2                 DATE          ,
    DATE_COL3                 DATE          ,
    DATE_COL4                 DATE          ,
    DATE_COL5                 DATE          ,
    DATE_COL6                 DATE          ,
    DATE_COL7                 DATE          ,
    DATE_COL8                 DATE          ,
    DATE_COL9                 DATE          ,
    DATE_COL10                DATE          ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    COMMON_DATA_ID            NUMBER(18, 0) ,
    RECORD_TYPE               VARCHAR2(240)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    CHAR_COL1                 VARCHAR2(1200),
    CHAR_COL2                 VARCHAR2(1200),
    CHAR_COL3                 VARCHAR2(1200),
    CHAR_COL4                 VARCHAR2(1200),
    CHAR_COL5                 VARCHAR2(1200),
    CHAR_COL6                 VARCHAR2(4000),
    CHAR_COL7                 VARCHAR2(4000),
    CHAR_COL8                 VARCHAR2(4000),
    CHAR_COL9                 VARCHAR2(4000),
    CHAR_COL10                VARCHAR2(4000),
    NUMBER_COL1               NUMBER        ,
    NUMBER_COL2               NUMBER        ,
    NUMBER_COL3               NUMBER        ,
    NUMBER_COL4               NUMBER        ,
    NUMBER_COL5               NUMBER        ,
    NUMBER_COL6               NUMBER        ,
    NUMBER_COL7               NUMBER        ,
    NUMBER_COL8               NUMBER        ,
    NUMBER_COL9               NUMBER        ,
    NUMBER_COL10              NUMBER        ,
    DATE_COL1                 DATE          ,
    DATE_COL2                 DATE          ,
    DATE_COL3                 DATE          ,
    DATE_COL4                 DATE          ,
    DATE_COL5                 DATE          ,
    DATE_COL6                 DATE          ,
    DATE_COL7                 DATE          ,
    DATE_COL8                 DATE          ,
    DATE_COL9                 DATE          ,
    DATE_COL10                DATE          ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_cn_common_data_all PRIMARY KEY (COMMON_DATA_ID, COMMON_DATA_ID)
);
